// .ui.xml template last modified: 1784194033357
package org.silverpeas.mobile.client.apps.documents.pages;

import com.google.gwt.core.client.GWT;
import com.google.gwt.dom.client.Element;
import com.google.gwt.safehtml.client.SafeHtmlTemplates;
import com.google.gwt.safehtml.shared.SafeHtml;
import com.google.gwt.safehtml.shared.SafeHtmlUtils;
import com.google.gwt.safehtml.shared.SafeHtmlBuilder;
import com.google.gwt.safehtml.shared.SafeUri;
import com.google.gwt.safehtml.shared.UriUtils;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.uibinder.client.UiBinder;
import com.google.gwt.uibinder.client.UiBinderUtil;
import com.google.gwt.user.client.ui.Widget;

public class PublicationPage_PublicationPageUiBinderImpl implements UiBinder<com.google.gwt.user.client.ui.Widget, org.silverpeas.mobile.client.apps.documents.pages.PublicationPage>, org.silverpeas.mobile.client.apps.documents.pages.PublicationPage.PublicationPageUiBinder {

  interface Template extends SafeHtmlTemplates {
    @Template("<h2 class='publiName' id='{0}'></h2> <p class='publiDesc' id='{1}'></p> <span id='{2}'></span> <div id='{3}' style='display:none;'> <span id='{4}'></span> </div> <span id='{5}'></span> <span id='{6}'></span> <p class='lastUpdate' id='{7}'></p> <p class='lastUpdate' id='{8}'></p> <p class='nbViews' id='{9}'></p>")
    SafeHtml html1(String arg0, String arg1, String arg2, String arg3, String arg4, String arg5, String arg6, String arg7, String arg8, String arg9);
     
  }

  Template template = GWT.create(Template.class);


  public com.google.gwt.user.client.ui.Widget createAndBindUi(final org.silverpeas.mobile.client.apps.documents.pages.PublicationPage owner) {


    return new Widgets(owner).get_supercontainer();
  }

  /**
   * Encapsulates the access to all inner widgets
   */
  class Widgets {
    private final org.silverpeas.mobile.client.apps.documents.pages.PublicationPage owner;


    final com.google.gwt.event.dom.client.ClickHandler handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames1 = new com.google.gwt.event.dom.client.ClickHandler() {
      public void onClick(com.google.gwt.event.dom.client.ClickEvent event) {
        owner.showContent((com.google.gwt.event.dom.client.ClickEvent) event);
      }
    };

    public Widgets(final org.silverpeas.mobile.client.apps.documents.pages.PublicationPage owner) {
      this.owner = owner;
      build_domId0();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId1();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId2();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId3();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId4();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId5();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId6();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId7();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId8();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId9();  // more than one getter call detected. Type: DOM_ID_HOLDER, precedence: 3
      build_domId2Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId4Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId5Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
      build_domId6Element();  // more than one getter call detected. Type: DEFAULT, precedence: 3
    }

    SafeHtml template_html1() {
      return template.html1(get_domId0(), get_domId1(), get_domId2(), get_domId3(), get_domId4(), get_domId5(), get_domId6(), get_domId7(), get_domId8(), get_domId9());
    }

    /**
     * Getter for clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay called 0 times. Type: GENERATED_BUNDLE. Build precedence: 1.
     */
    private org.silverpeas.mobile.client.apps.documents.pages.PublicationPage_PublicationPageUiBinderImpl_GenBundle get_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      return build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay();
    }
    private org.silverpeas.mobile.client.apps.documents.pages.PublicationPage_PublicationPageUiBinderImpl_GenBundle build_clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay() {
      // Creation section.
      final org.silverpeas.mobile.client.apps.documents.pages.PublicationPage_PublicationPageUiBinderImpl_GenBundle clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay = (org.silverpeas.mobile.client.apps.documents.pages.PublicationPage_PublicationPageUiBinderImpl_GenBundle) GWT.create(org.silverpeas.mobile.client.apps.documents.pages.PublicationPage_PublicationPageUiBinderImpl_GenBundle.class);
      // Setup section.

      return clientBundleFieldNameUnlikelyToCollideWithUserSpecifiedFieldOkay;
    }

    /**
     * Getter for msg called 1 times. Type: IMPORTED. Build precedence: 1.
     */
    private org.silverpeas.mobile.client.apps.documents.resources.DocumentsMessages get_msg() {
      return build_msg();
    }
    private org.silverpeas.mobile.client.apps.documents.resources.DocumentsMessages build_msg() {
      // Creation section.
      final org.silverpeas.mobile.client.apps.documents.resources.DocumentsMessages msg = owner.msg;
      assert msg != null : "UiField msg with 'provided = true' was null";
      // Setup section.

      return msg;
    }

    /**
     * Getter for supercontainer called 1 times. Type: DEFAULT. Build precedence: 1.
     */
    private com.google.gwt.user.client.ui.FocusPanel get_supercontainer() {
      return build_supercontainer();
    }
    private com.google.gwt.user.client.ui.FocusPanel build_supercontainer() {
      // Creation section.
      final com.google.gwt.user.client.ui.FocusPanel supercontainer = (com.google.gwt.user.client.ui.FocusPanel) GWT.create(com.google.gwt.user.client.ui.FocusPanel.class);
      // Setup section.
      supercontainer.add(get_container());

      this.owner.supercontainer = supercontainer;

      return supercontainer;
    }

    /**
     * Getter for container called 1 times. Type: DEFAULT. Build precedence: 2.
     */
    private com.google.gwt.user.client.ui.HTMLPanel get_container() {
      return build_container();
    }
    private com.google.gwt.user.client.ui.HTMLPanel build_container() {
      // Creation section.
      final com.google.gwt.user.client.ui.HTMLPanel container = new com.google.gwt.user.client.ui.HTMLPanel(template_html1().asString());
      // Setup section.
      container.setStyleName("content");

      {
        // Attach section.
        UiBinderUtil.TempAttachment __attachRecord__ = UiBinderUtil.attachToDom(container.getElement());

        get_title();
        get_desc();
        get_domId2Element().get();
        get_content();
        get_domId4Element().get();
        get_domId5Element().get();
        get_domId6Element().get();
        get_creator();
        get_lastUpdate();
        get_nbViews();

        // Detach section.
        __attachRecord__.detach();
      }
      container.addAndReplaceElement(get_comments(), get_domId2Element().get());
      container.addAndReplaceElement(get_contentLink(), get_domId4Element().get());
      container.addAndReplaceElement(get_attachments(), get_domId5Element().get());
      container.addAndReplaceElement(get_linkedPublications(), get_domId6Element().get());

      this.owner.container = container;

      return container;
    }

    /**
     * Getter for title called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.HeadingElement get_title() {
      return build_title();
    }
    private com.google.gwt.dom.client.HeadingElement build_title() {
      // Creation section.
      final com.google.gwt.dom.client.HeadingElement title = new com.google.gwt.uibinder.client.LazyDomElement(get_domId0()).get().cast();
      // Setup section.

      this.owner.title = title;

      return title;
    }

    /**
     * Getter for domId0 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId0;
    private java.lang.String get_domId0() {
      return domId0;
    }
    private java.lang.String build_domId0() {
      // Creation section.
      domId0 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId0;
    }

    /**
     * Getter for desc called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.ParagraphElement get_desc() {
      return build_desc();
    }
    private com.google.gwt.dom.client.ParagraphElement build_desc() {
      // Creation section.
      final com.google.gwt.dom.client.ParagraphElement desc = new com.google.gwt.uibinder.client.LazyDomElement(get_domId1()).get().cast();
      // Setup section.

      this.owner.desc = desc;

      return desc;
    }

    /**
     * Getter for domId1 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId1;
    private java.lang.String get_domId1() {
      return domId1;
    }
    private java.lang.String build_domId1() {
      // Creation section.
      domId1 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId1;
    }

    /**
     * Getter for domId2 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId2;
    private java.lang.String get_domId2() {
      return domId2;
    }
    private java.lang.String build_domId2() {
      // Creation section.
      domId2 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId2;
    }

    /**
     * Getter for comments called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton get_comments() {
      return build_comments();
    }
    private org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton build_comments() {
      // Creation section.
      final org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton comments = (org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton) GWT.create(org.silverpeas.mobile.client.apps.comments.pages.widgets.CommentsButton.class);
      // Setup section.
      comments.setVisible(false);

      this.owner.comments = comments;

      return comments;
    }

    /**
     * Getter for domId2Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId2Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId2Element() {
      return domId2Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId2Element() {
      // Creation section.
      domId2Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId2());
      // Setup section.

      return domId2Element;
    }

    /**
     * Getter for content called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.DivElement get_content() {
      return build_content();
    }
    private com.google.gwt.dom.client.DivElement build_content() {
      // Creation section.
      final com.google.gwt.dom.client.DivElement content = new com.google.gwt.uibinder.client.LazyDomElement(get_domId3()).get().cast();
      // Setup section.

      this.owner.content = content;

      return content;
    }

    /**
     * Getter for domId3 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId3;
    private java.lang.String get_domId3() {
      return domId3;
    }
    private java.lang.String build_domId3() {
      // Creation section.
      domId3 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId3;
    }

    /**
     * Getter for domId4 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId4;
    private java.lang.String get_domId4() {
      return domId4;
    }
    private java.lang.String build_domId4() {
      // Creation section.
      domId4 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId4;
    }

    /**
     * Getter for contentLink called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.user.client.ui.Anchor get_contentLink() {
      return build_contentLink();
    }
    private com.google.gwt.user.client.ui.Anchor build_contentLink() {
      // Creation section.
      final com.google.gwt.user.client.ui.Anchor contentLink = (com.google.gwt.user.client.ui.Anchor) GWT.create(com.google.gwt.user.client.ui.Anchor.class);
      // Setup section.
      contentLink.setStyleName("ui-btn ui-btn-icon-right");
      contentLink.setText("" + get_msg().content() + "");
      contentLink.addClickHandler(handlerMethodWithNameVeryUnlikelyToCollideWithUserFieldNames1);

      this.owner.contentLink = contentLink;

      return contentLink;
    }

    /**
     * Getter for domId4Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId4Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId4Element() {
      return domId4Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId4Element() {
      // Creation section.
      domId4Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId4());
      // Setup section.

      return domId4Element;
    }

    /**
     * Getter for domId5 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId5;
    private java.lang.String get_domId5() {
      return domId5;
    }
    private java.lang.String build_domId5() {
      // Creation section.
      domId5 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId5;
    }

    /**
     * Getter for attachments called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_attachments() {
      return build_attachments();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_attachments() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList attachments = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.

      this.owner.attachments = attachments;

      return attachments;
    }

    /**
     * Getter for domId5Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId5Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId5Element() {
      return domId5Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId5Element() {
      // Creation section.
      domId5Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId5());
      // Setup section.

      return domId5Element;
    }

    /**
     * Getter for domId6 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId6;
    private java.lang.String get_domId6() {
      return domId6;
    }
    private java.lang.String build_domId6() {
      // Creation section.
      domId6 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId6;
    }

    /**
     * Getter for linkedPublications called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private org.silverpeas.mobile.client.components.UnorderedList get_linkedPublications() {
      return build_linkedPublications();
    }
    private org.silverpeas.mobile.client.components.UnorderedList build_linkedPublications() {
      // Creation section.
      final org.silverpeas.mobile.client.components.UnorderedList linkedPublications = (org.silverpeas.mobile.client.components.UnorderedList) GWT.create(org.silverpeas.mobile.client.components.UnorderedList.class);
      // Setup section.

      this.owner.linkedPublications = linkedPublications;

      return linkedPublications;
    }

    /**
     * Getter for domId6Element called 2 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.uibinder.client.LazyDomElement domId6Element;
    private com.google.gwt.uibinder.client.LazyDomElement get_domId6Element() {
      return domId6Element;
    }
    private com.google.gwt.uibinder.client.LazyDomElement build_domId6Element() {
      // Creation section.
      domId6Element = new com.google.gwt.uibinder.client.LazyDomElement<Element>(get_domId6());
      // Setup section.

      return domId6Element;
    }

    /**
     * Getter for creator called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.ParagraphElement get_creator() {
      return build_creator();
    }
    private com.google.gwt.dom.client.ParagraphElement build_creator() {
      // Creation section.
      final com.google.gwt.dom.client.ParagraphElement creator = new com.google.gwt.uibinder.client.LazyDomElement(get_domId7()).get().cast();
      // Setup section.

      this.owner.creator = creator;

      return creator;
    }

    /**
     * Getter for domId7 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId7;
    private java.lang.String get_domId7() {
      return domId7;
    }
    private java.lang.String build_domId7() {
      // Creation section.
      domId7 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId7;
    }

    /**
     * Getter for lastUpdate called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.ParagraphElement get_lastUpdate() {
      return build_lastUpdate();
    }
    private com.google.gwt.dom.client.ParagraphElement build_lastUpdate() {
      // Creation section.
      final com.google.gwt.dom.client.ParagraphElement lastUpdate = new com.google.gwt.uibinder.client.LazyDomElement(get_domId8()).get().cast();
      // Setup section.

      this.owner.lastUpdate = lastUpdate;

      return lastUpdate;
    }

    /**
     * Getter for domId8 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId8;
    private java.lang.String get_domId8() {
      return domId8;
    }
    private java.lang.String build_domId8() {
      // Creation section.
      domId8 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId8;
    }

    /**
     * Getter for nbViews called 1 times. Type: DEFAULT. Build precedence: 3.
     */
    private com.google.gwt.dom.client.ParagraphElement get_nbViews() {
      return build_nbViews();
    }
    private com.google.gwt.dom.client.ParagraphElement build_nbViews() {
      // Creation section.
      final com.google.gwt.dom.client.ParagraphElement nbViews = new com.google.gwt.uibinder.client.LazyDomElement(get_domId9()).get().cast();
      // Setup section.

      this.owner.nbViews = nbViews;

      return nbViews;
    }

    /**
     * Getter for domId9 called 2 times. Type: DOM_ID_HOLDER. Build precedence: 3.
     */
    private java.lang.String domId9;
    private java.lang.String get_domId9() {
      return domId9;
    }
    private java.lang.String build_domId9() {
      // Creation section.
      domId9 = com.google.gwt.dom.client.Document.get().createUniqueId();
      // Setup section.

      return domId9;
    }
  }
}
